Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.excel
Class ExcelTableExtension

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.TableComponentExtensionSupport
              com.tonbeller.jpivot.excel.ExcelTableExtension

All Implemented Interfaces:
  PartBuilder, TableComponentExtension, Available, com.tonbeller.wcf.bookmarks.Bookmarkable

    public class ExcelTableExtension

extends TableComponentExtensionSupport

Field Summary
`static java.lang.String` | `ID`

Fields inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`enabled`

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`ExcelTableExtension()`

Method Summary
`java.lang.String` | `getId()` unique name of this extension.
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context, TableComponent table)` deferred ctor, called once after creation

Methods inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`getBookmarkState, isEnabled, setBookmarkState, setEnabled`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`destroy, isAvailable, setDirty, startBuild, stopBuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, isAvailable, startBuild, stopBuild`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### ExcelTableExtension

    public ExcelTableExtension()

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `TableComponentExtension`
  unique name of this extension. Used for JSP programming

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context,
                           TableComponent table)
                    throws java.lang.Exception

  Description copied from interface: `PartBuilder`
  deferred ctor, called once after creation

  Specified by:
    `initialize` in interface `PartBuilder`
  Overrides:
    `initialize` in class `PartBuilderSupport`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD